/*
 * WidgetWindow.h
 *
 */

#ifndef WIDGETWINDOW_H_
#define WIDGETWINDOW_H_

#include "Widget.h"
#include <string>

class WidgetWindow : public Widget {
public:
	WidgetWindow(std::string t, int x=0, int y=0) : title(t), xPos(x), yPos(y) {}

	virtual void move(int nx, int ny) = 0;

	const std::string& getTitle() const {
		return title;
	}
	void setTitle(const std::string& title) {
		this->title = title;
	}
	int getXPos() const {
		return xPos;
	}
	void setXPos(int pos) {
		xPos = pos;
	}
	int getYPos() const {
		return yPos;
	}
	void setYPos(int pos) {
		yPos = pos;
	}

protected:
	std::string title;
	int xPos, yPos;
};



#endif /* WIDGETWINDOW_H_ */
