/*
 * WinButton.cpp
 *
 */

#include "WinButton.h"

#include <iostream>

WinButton::WinButton(std::string text) : WidgetButton(text) {
	// specific Windows button constructor
}

WinButton::~WinButton() {
	// specific Windows button destructor
}

void WinButton::draw() {
	std::cout << "WinButton draw...: " << text << std::endl;
}

void WinButton::click() {
	std::cout << "Win button clicked" << std::endl;
}
