/*
 * WinFactory.h
 *
 */

#ifndef WINFACTORY_H_
#define WINFACTORY_H_

#include "WidgetFactory.h"

class WinFactory : public WidgetFactory {
public:
	static WidgetFactory* getFactory();
	virtual ~WinFactory();

	virtual WidgetButton* createButton(std::string text);
	virtual WidgetWindow* createWindow(std::string title);

private:
	WinFactory();
	static WinFactory* factory;
};

#endif /* WINFACTORY_H_ */
