/*
 * GTKFactory.cpp
 *
 */

#include "GTKFactory.h"
#include "GTKButton.h"
#include "GTKWindow.h"

GTKFactory* GTKFactory::factory = 0;

WidgetFactory* GTKFactory::getFactory() {
	if( factory == 0 ) {
		factory = new GTKFactory;
	}
	return factory;
}

GTKFactory::GTKFactory() {
	// possible constructor

}

GTKFactory::~GTKFactory() {
	// possible destructor
}

WidgetButton* GTKFactory::createButton(std::string text) {
	return new GTKButton(text);
}

WidgetWindow* GTKFactory::createWindow(std::string title) {
	return new GTKWindow(title);
}
