/*
 * GTKFactory.h
 *
 */

#ifndef GTKFACTORY_H_
#define GTKFACTORY_H_

#include "WidgetFactory.h"

class GTKFactory : public WidgetFactory {
public:
	static WidgetFactory* getFactory();
	virtual ~GTKFactory();

	virtual WidgetButton* createButton(std::string text);
	virtual WidgetWindow* createWindow(std::string title);

private:
	GTKFactory();
	static GTKFactory* factory;
};

#endif /* GTKFACTORY_H_ */
