/*
 * GTKWindow.cpp
 *
 */

#include "GTKWindow.h"

#include <iostream>

GTKWindow::GTKWindow(std::string t) : WidgetWindow(t) {
	// specific GTK window constructor
}

GTKWindow::~GTKWindow() {
	// specific GTK window destructor
}

void GTKWindow::draw() {
	std::cout << "GTKWindow draw...: " << title << std::endl;
}

void GTKWindow::move(int nx, int ny) {
	std::cout << "Move GTK window to new pos" << std::endl;
	xPos += nx;
	yPos += ny;
}
