/*
 * WidgetButton.h
 *
 */

#ifndef WIDGETBUTTON_H_
#define WIDGETBUTTON_H_

#include "Widget.h"
#include <string>

class WidgetButton : public Widget {
public:
	explicit WidgetButton(std::string t) : text(t) {};
	virtual ~WidgetButton() {}

	virtual void click() = 0;

	const std::string& getText() const {
		return text;
	}
	void setText(const std::string& text) {
		this->text = text;
	}

protected:
	std::string text;
};
#endif /* WIDGETBUTTON_H_ */
