/*
 * WidgetFactory.h
 *
 */

#ifndef WIDGETFACTORY_H_
#define WIDGETFACTORY_H_

#include "Widget.h"
#include "WidgetButton.h"
#include "WidgetWindow.h"

class WidgetFactory {
public:
	virtual ~WidgetFactory() {}

	virtual WidgetButton* createButton(std::string text) = 0;
	virtual WidgetWindow* createWindow(std::string title) = 0;
};

#endif /* WIDGETFACTORY_H_ */
